Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentPropertyInformation

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentPropertyInformation

    public class AgentPropertyInformation

extends java.lang.Object

Java class for agentPropertyInformation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentPropertyInformation">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="templateId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="positionId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="tnName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="changeId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="sortKey" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="displayTemplate" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="hasSkillset" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="hasPrimaries" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="hasSecondaries" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="referedByTf" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="referedByTfv" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="viewScope" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="personalDn" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="secondaryDn" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="state" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="primeId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentPropertyInformation()`

Method Summary
`java.lang.String` | `getChangeId()` Gets the value of the changeId property.
`java.lang.String` | `getDisplayTemplate()` Gets the value of the displayTemplate property.
`java.lang.String` | `getPersonalDn()` Gets the value of the personalDn property.
`java.lang.String` | `getPositionId()` Gets the value of the positionId property.
`java.lang.String` | `getPrimeId()` Gets the value of the primeId property.
`java.lang.String` | `getSecondaryDn()` Gets the value of the secondaryDn property.
`java.lang.String` | `getSortKey()` Gets the value of the sortKey property.
`java.lang.String` | `getState()` Gets the value of the state property.
`java.lang.String` | `getTemplateId()` Gets the value of the templateId property.
`java.lang.String` | `getTnName()` Gets the value of the tnName property.
`java.lang.String` | `getViewScope()` Gets the value of the viewScope property.
`boolean` | `isHasPrimaries()` Gets the value of the hasPrimaries property.
`boolean` | `isHasSecondaries()` Gets the value of the hasSecondaries property.
`boolean` | `isHasSkillset()` Gets the value of the hasSkillset property.
`boolean` | `isReferedByTf()` Gets the value of the referedByTf property.
`boolean` | `isReferedByTfv()` Gets the value of the referedByTfv property.
`void` | `setChangeId(java.lang.String value)` Sets the value of the changeId property.
`void` | `setDisplayTemplate(java.lang.String value)` Sets the value of the displayTemplate property.
`void` | `setHasPrimaries(boolean value)` Sets the value of the hasPrimaries property.
`void` | `setHasSecondaries(boolean value)` Sets the value of the hasSecondaries property.
`void` | `setHasSkillset(boolean value)` Sets the value of the hasSkillset property.
`void` | `setPersonalDn(java.lang.String value)` Sets the value of the personalDn property.
`void` | `setPositionId(java.lang.String value)` Sets the value of the positionId property.
`void` | `setPrimeId(java.lang.String value)` Sets the value of the primeId property.
`void` | `setReferedByTf(boolean value)` Sets the value of the referedByTf property.
`void` | `setReferedByTfv(boolean value)` Sets the value of the referedByTfv property.
`void` | `setSecondaryDn(java.lang.String value)` Sets the value of the secondaryDn property.
`void` | `setSortKey(java.lang.String value)` Sets the value of the sortKey property.
`void` | `setState(java.lang.String value)` Sets the value of the state property.
`void` | `setTemplateId(java.lang.String value)` Sets the value of the templateId property.
`void` | `setTnName(java.lang.String value)` Sets the value of the tnName property.
`void` | `setViewScope(java.lang.String value)` Sets the value of the viewScope property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentPropertyInformation

    public AgentPropertyInformation()

Method Detail

### getTemplateId

    public java.lang.String getTemplateId()

  Gets the value of the templateId property.

  Returns:
    possible object is `String`

### setTemplateId

    public void setTemplateId(java.lang.String value)

  Sets the value of the templateId property.

  Parameters:
    `value` - allowed object is `String`

### getPositionId

    public java.lang.String getPositionId()

  Gets the value of the positionId property.

  Returns:
    possible object is `String`

### setPositionId

    public void setPositionId(java.lang.String value)

  Sets the value of the positionId property.

  Parameters:
    `value` - allowed object is `String`

### getTnName

    public java.lang.String getTnName()

  Gets the value of the tnName property.

  Returns:
    possible object is `String`

### setTnName

    public void setTnName(java.lang.String value)

  Sets the value of the tnName property.

  Parameters:
    `value` - allowed object is `String`

### getChangeId

    public java.lang.String getChangeId()

  Gets the value of the changeId property.

  Returns:
    possible object is `String`

### setChangeId

    public void setChangeId(java.lang.String value)

  Sets the value of the changeId property.

  Parameters:
    `value` - allowed object is `String`

### getSortKey

    public java.lang.String getSortKey()

  Gets the value of the sortKey property.

  Returns:
    possible object is `String`

### setSortKey

    public void setSortKey(java.lang.String value)

  Sets the value of the sortKey property.

  Parameters:
    `value` - allowed object is `String`

### getDisplayTemplate

    public java.lang.String getDisplayTemplate()

  Gets the value of the displayTemplate property.

  Returns:
    possible object is `String`

### setDisplayTemplate

    public void setDisplayTemplate(java.lang.String value)

  Sets the value of the displayTemplate property.

  Parameters:
    `value` - allowed object is `String`

### isHasSkillset

    public boolean isHasSkillset()

  Gets the value of the hasSkillset property.

### setHasSkillset

    public void setHasSkillset(boolean value)

  Sets the value of the hasSkillset property.

### isHasPrimaries

    public boolean isHasPrimaries()

  Gets the value of the hasPrimaries property.

### setHasPrimaries

    public void setHasPrimaries(boolean value)

  Sets the value of the hasPrimaries property.

### isHasSecondaries

    public boolean isHasSecondaries()

  Gets the value of the hasSecondaries property.

### setHasSecondaries

    public void setHasSecondaries(boolean value)

  Sets the value of the hasSecondaries property.

### isReferedByTf

    public boolean isReferedByTf()

  Gets the value of the referedByTf property.

### setReferedByTf

    public void setReferedByTf(boolean value)

  Sets the value of the referedByTf property.

### isReferedByTfv

    public boolean isReferedByTfv()

  Gets the value of the referedByTfv property.

### setReferedByTfv

    public void setReferedByTfv(boolean value)

  Sets the value of the referedByTfv property.

### getViewScope

    public java.lang.String getViewScope()

  Gets the value of the viewScope property.

  Returns:
    possible object is `String`

### setViewScope

    public void setViewScope(java.lang.String value)

  Sets the value of the viewScope property.

  Parameters:
    `value` - allowed object is `String`

### getPersonalDn

    public java.lang.String getPersonalDn()

  Gets the value of the personalDn property.

  Returns:
    possible object is `String`

### setPersonalDn

    public void setPersonalDn(java.lang.String value)

  Sets the value of the personalDn property.

  Parameters:
    `value` - allowed object is `String`

### getSecondaryDn

    public java.lang.String getSecondaryDn()

  Gets the value of the secondaryDn property.

  Returns:
    possible object is `String`

### setSecondaryDn

    public void setSecondaryDn(java.lang.String value)

  Sets the value of the secondaryDn property.

  Parameters:
    `value` - allowed object is `String`

### getState

    public java.lang.String getState()

  Gets the value of the state property.

  Returns:
    possible object is `String`

### setState

    public void setState(java.lang.String value)

  Sets the value of the state property.

  Parameters:
    `value` - allowed object is `String`

### getPrimeId

    public java.lang.String getPrimeId()

  Gets the value of the primeId property.

  Returns:
    possible object is `String`

### setPrimeId

    public void setPrimeId(java.lang.String value)

  Sets the value of the primeId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.